<?php
class Evento extends AppObjeto {
	
	/**
	 * @var unknown
	 */
	protected $idEvento;
	protected $idTipoEvento=1;
	protected $nombre;
	protected $fecha;
	protected $activo;
	protected $tipo;
	protected $opcion;
	
	
	protected $precio;
	protected $plazas;
	
	protected static $name = 'evento';
	protected static $primary = 'idEvento';

	public function setNombre($nombre){
		$this->nombre = $nombre;
	}
	
	public function setFecha($param) {
		$this->fecha = $param;
	}
	
	public function setActivo($valor){
		$this->activo = $valor;
	}
	public function getActivo(){
		return $this->activo;
	}
	
	public function getTipo(){
		return $this->tipo;
	}
	public function setTipo($valor){
		$this->tipo = $valor;
	}
	
	public function setOpcion($value){
		$this->opcion = $value;
	}
	public function getOpcion(){
		return $this->opcion;
	}
	
	
	
	public function getNombre(){
		return $this->nombre;
	}
	
	public function getFecha() {
		return $this->fecha;
	}
	
	public function getIdTipoEvento(){
		return $this->idTipoEvento;
	}
	
	public function setIdTipoEvento($idTipoEvento){
		$this->idTipoEvento = $idTipoEvento;
	}
	
	public function setPrecio($precio) {
		$this->precio = $precio;
	}
	
	public function getPrecio($precio) {
		return $this->precio;
	}
	
	public function setPlazas($plazas) {
		$this->plazas = $plazas;
	}
	
	public function getPlazas($plazas) {
		return $this->plazas;
	}
	
	
	
	
	public static function getTodos($parametros) {
		
		$select = self::selectObjeto();
		$select->columns(array('tieneFecha'=>'if(ifnull(fecha,1)=1,0,1)'));
		if (isset($parametros['Persona']) && AppHerramienta::siNoVacio($parametros['Persona'])){
			$select->where("nombre like ?",'%'.$parametros['Persona'].'%');	
		}
		//echo $select;
		$res = self::selectExecute($select,$parametros);
		return $res;
		
	}
	
	
	
	public static function autocompletar($parametros){
		$select = self::selectObjeto();
		$select->columns(array('label'=>'nombre', 'value'=>'nombre'));
		if(isset($parametros['busqueda']) && $parametros['busqueda'])
			$select->where("nombre like '%".$parametros['busqueda']."%'");
		
		if(isset($parametros['id']) && $parametros['id']){
			$select->where(self::$primary." =?" , $parametros['id']);
			return self::fetchRow($select)->toArray();
		}
	
		$salida = self::selectExecute($select);
	
	return $salida;
	}
	
}